restored_client_free
restored_client_new
restored_client_set_label
restored_client_t
restored_error_t
restored_get_value
restored_goodbye
restored_query_type
restored_query_value
restored_reboot
restored_receive
restored_send
restored_start_restore

## restored_client_new()

LIBIMOBILEDEVICE_API restored_error_t restored_client_new | ( | idevice_t | device,
|  | restored_client_t * | client,
|  | const char * | label )

Creates a new restored client for the device.

Parameters

  device | The device to create a restored client for
  client | The pointer to the location of the new restored_client
  label | The label to use for communication. Usually the program name.

Returns
  RESTORE_E_SUCCESS on success, RESTORE_E_INVALID_ARG when client is NULL